
shader = love.graphics.newShader( require 'collection' )
gr = love.graphics

function love.load()
	wd, ht = 800, 450
	love.window.setMode( wd, ht, { borderless = true } )
	shaderTime = 0
	love.window.setTitle( 'Collection of Objects' )
	screen = { wd, ht}
	love.mouse.setPosition( wd/2, ht/2 )
	shader:send( 'screen', screen )
	end

function love.update( dt )
	shaderTime = shaderTime +  dt
	shader:send( 'time', shaderTime )
	mx, my = love.mouse.getPosition()
	shader:send( 'mouse', { mx/wd ,( my)/ht } )
	end

function love.draw()
	gr.setShader( shader )
		gr.rectangle( "fill", 0, 0, wd, ht )
		gr.setShader()
	gr.setColor(0,0,0)
	gr.print( 'fps: '..love.timer.getFPS(), 0, 0 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
